Subject: Re: FWD: [PATCH v2] Marvell phy: add fiber status check for some components

From: Andrew Lunn <[email-masked]>
Date: Thu, 2 Jun 2016 16:56:36 +0200

On Fri, May 27, 2016 at 11:23:22AM +0200, Charles-Antoine Couret wrote:
> 
> Hello,
> I'm sorry to repost that, but after one month, I need a answer to continue to imrpove my patch in the right direction. :)

Hi Charles-Aontine

Florian and I had a quick discussion. We think going with the Marvell
datasheet documentation is best.

Please just be careful to ensure the generic code does not try to
unconditionally read the registers, only the Marvell driver. I'm
talking about functions like genphy_config_advert(),
genphy_setup_forced(), genphy_restart_aneg() etc. We need to ensure we
are consistently using the correct page.

      Andrew